## ros-noetic-camera-info-manager-lib 3.0.2

=== CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: Czech Technical University in Prague

cmake_minimum_required(VERSION 3.10.2)
project(camera_info_manager_lib)

set(CMAKE_CXX_STANDARD 17)

find_package(catkin REQUIRED COMPONENTS
  camera_calibration_parsers
  cras_cpp_common
)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS cras_cpp_common
)

include_directories(include ${catkin_INCLUDE_DIRS})

add_library(${PROJECT_NAME} src/camera_info_manager.cpp)
add_dependencies(${PROJECT_NAME} ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})

install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

if (CATKIN_ENABLE_TESTING)
  find_package(roslint REQUIRED)
  find_package(rostest REQUIRED)

  roslint_custom(catkin_lint "-W2" .)

  # Roslint C++ - checks formatting and some other rules for C++ files

  file(GLOB_RECURSE ROSLINT_FILES include/*.h include/*.hpp src/*.cpp src/*.hpp src/*.h test/*.cpp)

  set(ROSLINT_CPP_OPTS "--extensions=h,hpp,hh,c,cpp,cc;--linelength=120;--filter=\
    -build/header_guard,-build/include,-readability/namespace,-whitespace/braces,-runtime/references,\
    -build/c++11,-readability/nolint,-readability/todo,-legal/copyright")
  roslint_cpp(${ROSLINT_FILES})

  roslint_add_test()

  catkin_add_gtest(test_${PROJECT_NAME} test/test_camera_info_manager.cpp)
  target_link_libraries(test_${PROJECT_NAME} ${PROJECT_NAME} ${catkin_LIBRARIES})
  target_compile_definitions(test_${PROJECT_NAME} PRIVATE -DTEST_DATA_DIR="${CMAKE_CURRENT_SOURCE_DIR}/test")
endif()

=== debian/changelog ===
ros-noetic-camera-info-manager-lib (3.0.2-1focal) focal; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 12 May 2025 22:00:00 -0000

ros-noetic-camera-info-manager-lib (3.0.1-1focal) focal; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 12 May 2025 22:00:00 -0000

ros-noetic-camera-info-manager-lib (3.0.0-1focal) focal; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 12 May 2025 22:00:00 -0000

ros-noetic-camera-info-manager-lib (2.0.3-1focal) focal; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 26 Feb 2025 23:00:00 -0000

ros-noetic-camera-info-manager-lib (2.0.2-1focal) focal; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 18 Feb 2025 23:00:00 -0000

ros-noetic-camera-info-manager-lib (2.0.1-1focal) focal; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Sat, 15 Feb 2025 23:00:00 -0000

ros-noetic-camera-info-manager-lib (2.0.0-1focal) focal; urgency=high

  * Package added.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 12 Feb 2025 23:00:00 -0000

ros-noetic-camera-info-manager-lib (1.4.0-1focal) focal; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 07 Jun 2022 22:00:00 -0000

ros-noetic-camera-info-manager-lib (1.3.1-1focal) focal; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 26 Apr 2021 22:00:00 -0000

ros-noetic-camera-info-manager-lib (1.3.0-1focal) focal; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Sat, 09 Mar 2019 23:00:00 -0000

ros-noetic-camera-info-manager-lib (1.2.1-1focal) focal; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 06 Feb 2019 23:00:00 -0000

ros-noetic-camera-info-manager-lib (1.1.0-1focal) focal; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Sun, 27 Jan 2019 23:00:00 -0000

ros-noetic-camera-info-manager-lib (1.0.1-1focal) focal; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 24 Jan 2019 23:00:00 -0000

=== debian/control ===
Source: ros-noetic-camera-info-manager-lib
Section: misc
Priority: optional
Maintainer: Martin Pecka <peckama2@fel.cvut.cz>
Build-Depends: debhelper (>= 9.0.0), catkin-lint <!nocheck>, ros-noetic-camera-calibration-parsers, ros-noetic-catkin, ros-noetic-cras-cpp-common, ros-noetic-roslint <!nocheck>, ros-noetic-rostest <!nocheck>
Homepage: https://wiki.ros.org/camera_info_manager_lib
Standards-Version: 3.9.2

Package: ros-noetic-camera-info-manager-lib
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-camera-calibration-parsers, ros-noetic-cras-cpp-common
Description: camera_info_manager API without an active ROS node.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-camera-info-manager-lib//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
